summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_local-hooks
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_chroot_local-hooks')
-rwxr-xr-xhelpers/lh_chroot_local-hooks72
1 files changed, 72 insertions, 0 deletions
diff --git a/helpers/lh_chroot_local-hooks b/helpers/lh_chroot_local-hooks
new file mode 100755
index 0000000..953a1f1
--- /dev/null
+++ b/helpers/lh_chroot_local-hooks
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# lh_chroot_local-hooks(1) - execute local hooks in chroot
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Set static variables
+DESCRIPTION="execute local hooks in chroot"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+Echo_debug "Init ${PROGRAM}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Breakpoint "chroot_local-hooks: Init"
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_local-hooks
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Processing local-hooks
+if ls config/chroot_local-hooks/* &> /dev/null
+then
+ for HOOK in config/chroot_local-hooks/*
+ do
+ # Copying hook
+ cp "${HOOK}" chroot/root
+
+ # Making hook executable
+ if [ ! -x chroot/root/"`basename ${HOOK}`" ]
+ then
+ chmod +x chroot/root/"`basename ${HOOK}`"
+ fi
+
+ # Executing hook
+ Chroot "/root/`basename ${HOOK}`"
+
+ # Removing hook
+ rm -f chroot/root/"`basename ${HOOK}`"
+ done
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_local-hooks
+fi